{"openapi":"3.1.0","info":{"title":"POST /api/v1/vendor-contracts","version":"1.0.0","description":"Create vendor contract"},"servers":[{"url":"https://api.ondayzero.com","description":"Production"}],"paths":{"/api/v1/vendor-contracts":{"post":{"tags":["vendor-contracts"],"summary":"Create vendor contract","description":"Create a new vendor contract/MSA.","operationId":"create_vendor_contract_api_v1_vendor_contracts_post","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}},{"name":"x-business-id","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Business-Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/VendorContractCreateRequest"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/VendorContractResponse"}}}},"400":{"description":"Bad Request - Invalid input","content":{"application/json":{"example":{"detail":"Invalid request parameters"}}}},"401":{"description":"Unauthorized - Authentication required","content":{"application/json":{"example":{"detail":"Not authenticated"}}}},"403":{"description":"Forbidden - Insufficient permissions","content":{"application/json":{"example":{"detail":"Not enough permissions"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"},"input":{"title":"Input"},"ctx":{"type":"object","title":"Context"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"},"VendorContractCreateRequest":{"properties":{"name":{"type":"string","title":"Name","description":"Contract/agreement name."},"vendor_id":{"type":"string","title":"Vendor Id","description":"Vendor UUID."},"status":{"type":"string","title":"Status","description":"Contract status: draft, active, expired, terminated.","default":"draft"},"effective_date":{"anyOf":[{"type":"string","format":"date"},{"type":"null"}],"title":"Effective Date","description":"Contract start date."},"expiration_date":{"anyOf":[{"type":"string","format":"date"},{"type":"null"}],"title":"Expiration Date","description":"Contract end date."},"contracted_amount_cents":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Contracted Amount Cents","description":"Agreed amount per billing period in cents."},"billing_frequency":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Billing Frequency","description":"Billing frequency: monthly, quarterly, annually, one_time, weekly, biweekly."},"terms_summary":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Terms Summary","description":"Summary of key contract terms (AI-extracted or manual)."},"s3_key":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"S3 Key","description":"S3 key for the original MSA/contract PDF."}},"type":"object","required":["name","vendor_id"],"title":"VendorContractCreateRequest","description":"Request schema for creating a vendor contract."},"VendorContractResponse":{"properties":{"name":{"type":"string","title":"Name","description":"Contract/agreement name."},"vendor_id":{"type":"string","title":"Vendor Id","description":"Vendor UUID."},"status":{"type":"string","title":"Status","description":"Contract status: draft, active, expired, terminated.","default":"draft"},"effective_date":{"anyOf":[{"type":"string","format":"date"},{"type":"null"}],"title":"Effective Date","description":"Contract start date."},"expiration_date":{"anyOf":[{"type":"string","format":"date"},{"type":"null"}],"title":"Expiration Date","description":"Contract end date."},"contracted_amount_cents":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Contracted Amount Cents","description":"Agreed amount per billing period in cents."},"billing_frequency":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Billing Frequency","description":"Billing frequency: monthly, quarterly, annually, one_time, weekly, biweekly."},"terms_summary":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Terms Summary","description":"Summary of key contract terms (AI-extracted or manual)."},"s3_key":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"S3 Key","description":"S3 key for the original MSA/contract PDF."},"id":{"type":"string","title":"Id","description":"Contract UUID."},"business_id":{"type":"string","title":"Business Id","description":"Business UUID."},"vendor_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Vendor Name","description":"Vendor name (resolved)."},"created_at":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Created At"},"updated_at":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Updated At"}},"type":"object","required":["name","vendor_id","id","business_id"],"title":"VendorContractResponse","description":"Response schema for a vendor contract."}},"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"API Token","description":"API token authentication. Format: `Bearer dz_...`"}}},"security":[{"BearerAuth":[]}]}